GetTransactionById
POST
Query the transaction body by transaction ID from the SolidityNode view. Only solidified transactions are returned.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
valuestring
Transaction ID (hash). Example: bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
txIDstring
Transaction ID(Hash).List of transaction execution results.
contractRetarray
Transaction Execution Results.signaturearray
Transaction signature.raw_data_hexstring
The transaction's raw data. (Format: hex)raw_dataobject
Transaction content. See here for details.fee_limitinteger
The transaction's FeeLimit. See here for details. (Unit: sun)ref_block_bytesstring
The last two bytes of the reference block's number (height), used for transaction validation.ref_block_hashstring
Bytes 8 to 16 of the reference block's hash, used for transaction validation.expirationinteger
Transaction expiration time. (Unit: millisecond)timestampint64
Timestamp. (Unit: millisecond)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/gettransactionbyid' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"value": "bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319"}'